Tusheng Video (enhanced version function)
POST
/mj/submit/videoBody Parametersapplication/json
base64 string
Original image base64; same value as image on the client; pass-through
image* string
Original image base64 (data URL prefix). I2V base image; pass-through; not declared in backend struct
mode string
Generation mode (pass-through). FAST(default)/RELAX/TURBO
motion string
Motion strength (pass-through). low(default)/high
notifyHook string
Callback URL; falls back to the global notifyHook when empty
prompt* string
video content / motion description
state string
The quality of the image that will be generated. `hd` creates images with finer detail and greater consistency. This parameter only supports `dall-e-3`.
taskId string
Optional. For video from an existing MJ task, pass that task ID (relay-mj.go:690 needs taskId); not needed for I2V with image
Responses
200 OK application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"image": "string",
3"prompt": "string"
4}
1curl -X POST "https://api.digislash.com/mj/submit/video" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"image": "string",
6"prompt": "string"
7}'
1▼{
2"code": 1,
3"description": "success",
4"result": "1720000000000000"
5}
